Subject: [Simple] SIP SIMPLE: "do not disturb" interoperability

From: Raphael Bossek <[email-masked]>
Date: Tue, 6 Sep 2011 15:51:39 +0200

Dear IETF Simple list,

Just one sentence about me and ESTOS GmbH (http://www.estos.com) , the company I'm working for. I'm looking for a standard compliant solution for instant messaging exchange the "do not disturb"/DND presence information between clients - if possible without introduction of new tags or values. ESTOS GmbH is a software manufacturer for unified communication and collaboration products and depends heavily on standards for interoperability with PBX and phone manufactures.

I've studied the RFC 4479 (http://tools.ietf.org/html/rfc4479#page-13 ) chapter "Reach Information" at page 13: "It is also possible for a presence document to contain a service that has no reach information at all.  In such a case, the presentity is indicating that the service exists, but is electing not to offer the watcher the opportunity to connect to it."

The example from RFC 4480 (http://tools.ietf.org/html/rfc4480#page-19 ) chapter "Example" at page 13 describe a "do not disturb" case: "<contact priority="0.8">im:[email-masked]</contact>"

As conclusion we could say that "do not disturb" is set if
* Contact address for a <tuple> is missing (refer to RFC 4479) or
* The priority for the contact address within a service is less than 1.0 (refer to RFC 4480)

What do you thing about this interpretation?

I would like to fixating that officially but I'm not confirm with the IEFT process. Should this discussion be continued at https://lists.cs.columbia.edu/pipermail/sip-implementors/2008-April/018968.html ?

At the end I would like to make a publication at http://stackoverflow.com/questions/6057830/sip-simple-pidf-convention-for-do-not-disturb-dnd-presence-extension and some open source projects about the way to do. I have also contact to SEN OpenStage phone people. Maybe they will join this discussion.

Greetings,
Raphael Bossek